[![build](https://github.com/JGCRI/glory/actions/workflows/build.yml/badge.svg?branch=main)](https://github.com/JGCRI/glory/actions/workflows/build.yml)
[![docs](https://github.com/JGCRI/glory/actions/workflows/docs.yml/badge.svg?branch=main)](https://github.com/JGCRI/glory/actions/workflows/docs.yml)
[![tests](https://github.com/JGCRI/glory/actions/workflows/test.yml/badge.svg?branch=main)](https://github.com/JGCRI/glory/actions/workflows/test.yml)
[![codecov](https://codecov.io/gh/jgcri/glory/graph/badge.svg?token=TTH482Y1UD)](https://codecov.io/gh/jgcri/glory)

# Introduction

The `GLORY` (GLObal Reservoir Yield) model is an open-source Python package designed to optimize water yield for a given reservoir storage capacity while also estimating the economic value of reservoir water supply for global river basins. The `GLORY` model streamlines workflows by integrating information on climate, hydrology, water demand, reservoir exploitable potential, and physiography to estimate the water availability and prices of water supply from reservoirs. ``GLORY`` identifies the sub-annual regulation capability and associated investment of reservoirs and establishes boundary conditions for basin-level analysis on reservoir management.

<br>

<p align="center">
<a href="https://jgcri.github.io/glory/" target="_blank"><img src="https://github.com/JGCRI/jgcricolors/blob/main/vignettes/button_user_guide.PNG?raw=true" 
alt="https://jgcri.github.io/glory/" height="60"/></a>
<img src="https://github.com/JGCRI/jgcricolors/blob/main/vignettes/button_divider.PNG?raw=true" height="40"/>
</p>

# Citation

> Zhao, M., Wild, T.B., Vernon, C., 2024. GLORY: a python package for global reservoir water yield and cost estimation. (In progress) Journal of Open Source Software, DOI: XXXX


# Related Publications

> Zhao, M., Wild, T. B., Graham, N. T., Kim, S., Binsted, M., Chowdhury, A. F. M. K., Msangi, S., Patel, P. L., Vernon, C. R., Niazi, H., Li, H.-Y., and Abeshu, G. W.: GCAM-GLORY v1.0: Representing Global Reservoir Water Storage in a Multisector Human-Earth System Model, Geosci. Model Dev. Discuss. [preprint], https://doi.org/10.5194/gmd-2023-204, in review, 2023.


